*******************************************************************************
* Information Flows through Linkages: The Effectiveness of the CLRTAP Network *
*******************************************************************************

****************
* Descriptives *
****************

sum flowbet nflowbet degree nrmdegree share eigenvec neigenvec
collin flowbet nflowbet degree nrmdegree share eigenvec neigenvec

sum ln_sox_pc ln_nox_pc degree new_spatial_interaction1 new_spatial_interaction2 ln_foresti lngdppc lngdppc_2 lnpop polity2 tradegdpi ngo_numberi
collin degree lag_soxi_sum_of_year_minus_own ln_foresti lngdppc lngdppc_2 lnpop polity2 tradegdpi ngo_numberi
collin flowbet lag_soxi_sum_of_year_minus_own ln_foresti lngdppc lngdppc_2 lnpop polity2 tradegdpi ngo_numberi
pwcorr degree flowbet lag_soxi_sum_of_year_minus_own ln_foresti lngdppc lngdppc_2 lnpop polity2 tradegdpi ngo_numberi, sig

xtfisher ln_soxi

********************
* Final Models 1-4 *
********************

xtreg ln_sox_pc degree i.year, fe cluster(ccode)
xtreg ln_sox_pc degree ln_foresti lngdppc lngdppc_2 lnpop polity2 tradegdpi ngo_numberi i.year, fe cluster(ccode)
xtreg ln_nox_pc degree i.year, fe cluster(ccode)
xtreg ln_nox_pc degree ln_foresti lngdppc lngdppc_2 lnpop polity2 tradegdpi ngo_numberi i.year, fe cluster(ccode)

*******************************
* Final Models 5-6 and Graphs *
*******************************

xtreg ln_sox_pc c.degree##c.new_spatial_interaction1 ln_foresti lngdppc lngdppc_2 lnpop polity2 tradegdpi ngo_numberi i.year, fe cluster(ccode)
sum new_spatial_interaction1 if e(sample)
margins, dydx(degree) at(new_spatial_interaction1=(-556.592(1)-277.7833)) vsquish
marginsplot, recast(line) recastci(rline) ciopts(lpattern(dash)) level(90) scheme(lean1) name(graph1, replace)

xtreg ln_nox_pc c.degree##c.new_spatial_interaction2 ln_foresti lngdppc lngdppc_2 lnpop polity2 tradegdpi ngo_numberi i.year, fe cluster(ccode)
sum new_spatial_interaction2 if e(sample)
margins, dydx(degree) at(new_spatial_interaction2=(-532.0182(1)-305.6154)) vsquish
marginsplot, recast(line) recastci(rline) ciopts(lpattern(dash)) level(90) scheme(lean1) name(graph2, replace)
graph combine graph1 graph2, ycommon scheme(s1mono)

***************************************************************
* Final In-Sample Forecasting Models -- Not Reported in Paper *
***************************************************************

xtreg ln_soxi c.degree##c.lag_soxi_sum_of_year_minus_own ln_foresti lngdppc lngdppc_2 lnpop polity2 tradegdpi ngo_numberi i.year, fe cluster(ccode)
predict yhat if e(sample)
xtile predicted_new= yhat,  nquantiles(5)
recode predicted_new (1 2 3=0) (4 5=1)
probit predicted_new c.degree##c.lag_soxi_sum_of_year_minus_own ln_foresti lngdppc lngdppc_2 lnpop polity2 tradegdpi ngo_numberi, cluster(ccode)
lroc, scheme(s1mono)
predict predicted_final1 if e(sample)
xtile predicted_final11= predicted_final1,  nquantiles(5)
tab predicted_final11 predicted_new
egen count=total (predicted_new), by(predicted_final11)
replace count=. if predicted_final11==.
twoway (bar count predicted_final11, sort), scheme(s1mono)
capture drop yhat predicted_new predicted_final1 predicted_final11 count

xtreg ln_soxi c.flowbet##c.lag_soxi_sum_of_year_minus_own ln_foresti lngdppc lngdppc_2 lnpop polity2 tradegdpi ngo_numberi i.year, fe cluster(ccode)
predict yhat if e(sample)
xtile predicted_new= yhat,  nquantiles(5)
recode predicted_new (1 2 3=0) (4 5=1)
probit predicted_new c.flowbet##c.lag_soxi_sum_of_year_minus_own ln_foresti lngdppc lngdppc_2 lnpop polity2 tradegdpi ngo_numberi, cluster(ccode)
lroc, scheme(s1mono)
predict predicted_final1 if e(sample)
xtile predicted_final11= predicted_final1,  nquantiles(5)
tab predicted_final11 predicted_new
egen count=total (predicted_new), by(predicted_final11)
replace count=. if predicted_final11==.
twoway (bar count predicted_final11, sort), scheme(s1mono)
capture drop yhat predicted_new predicted_final1 predicted_final11 count

xtreg ln_soxi c.degree##c.lag_soxi_sum_of_year_minus_own ln_foresti lngdppc lngdppc_2 lnpop polity2 tradegdpi ngo_numberi i.year, fe cluster(ccode)
predict yhat if e(sample)
xtile predicted_new= yhat,  nquantiles(5)
recode predicted_new (1 2 3=0) (4 5=1)
probit predicted_new c.degree##c.lag_soxi_sum_of_year_minus_own ln_foresti lngdppc lngdppc_2 lnpop polity2 tradegdpi ngo_numberi, cluster(ccode)
lroc, nograph
probit predicted_new ln_foresti lngdppc lngdppc_2 lnpop polity2 tradegdpi ngo_numberi, cluster(ccode)
lroc, nograph
capture drop yhat predicted_new

xtreg ln_soxi c.flowbet##c.lag_soxi_sum_of_year_minus_own ln_foresti lngdppc lngdppc_2 lnpop polity2 tradegdpi ngo_numberi i.year, fe cluster(ccode)
predict yhat if e(sample)
xtile predicted_new= yhat,  nquantiles(5)
recode predicted_new (1 2 3=0) (4 5=1)
probit predicted_new c.flowbet##c.lag_soxi_sum_of_year_minus_own ln_foresti lngdppc lngdppc_2 lnpop polity2 tradegdpi ngo_numberi, cluster(ccode)
lroc, nograph
probit predicted_new ln_foresti lngdppc lngdppc_2 lnpop polity2 tradegdpi ngo_numberi, cluster(ccode)
lroc, nograph
capture drop yhat predicted_new

***********************************************************
* Final 4-Fold Cross Validation Quasi-Experimental Setup  *
***********************************************************

xtreg ln_soxi c.degree##c.lag_soxi_sum_of_year_minus_own ln_foresti lngdppc lngdppc_2 lnpop polity2 tradegdpi ngo_numberi i.year, fe cluster(ccode)
predict yhat if e(sample)
xtile predicted_new= yhat,  nquantiles(5)
recode predicted_new (1 2 3=0) (4 5=1)
quietly probit predicted_new c.degree##c.lag_soxi_sum_of_year_minus_own ln_foresti lngdppc lngdppc_2 lnpop polity2 tradegdpi ngo_numberi, cluster(ccode)
predict fitted, pr
roctab predicted_new fitted
xtile group=uniform(), nq(4)
gen cv_fitted=.
forvalues i=1/4 {
qui probit predicted_new c.degree##c.lag_soxi_sum_of_year_minus_own ln_foresti lngdppc lngdppc_2 lnpop polity2 tradegdpi ngo_numberi if group~=`i', cluster(ccode)
qui predict cv_fittedi, pr
qui replace cv_fitted=cv_fittedi if group==`i'
qui drop cv_fittedi
}
roctab predicted_new cv_fitted
capture drop fitted group cv_fitted
quietly probit predicted_new c.degree##c.lag_soxi_sum_of_year_minus_own ln_foresti lngdppc lngdppc_2 lnpop polity2 tradegdpi ngo_numberi, cluster(ccode)
predict fitted, pr
roctab predicted_new fitted
xtile group=uniform(), nq(4)
gen cv_fitted=.
forvalues i=1/4 {
qui probit predicted_new c.degree##c.lag_soxi_sum_of_year_minus_own ln_foresti lngdppc lngdppc_2 lnpop polity2 tradegdpi ngo_numberi if group~=`i', cluster(ccode)
qui predict cv_fittedi, pr
qui replace cv_fitted=cv_fittedi if group==`i'
qui drop cv_fittedi
}
roctab predicted_new cv_fitted
capture drop fitted group cv_fitted
quietly probit predicted_new c.degree##c.lag_soxi_sum_of_year_minus_own ln_foresti lngdppc lngdppc_2 lnpop polity2 tradegdpi ngo_numberi, cluster(ccode)
predict fitted, pr
roctab predicted_new fitted
xtile group=uniform(), nq(4)
gen cv_fitted=.
forvalues i=1/4 {
qui probit predicted_new c.degree##c.lag_soxi_sum_of_year_minus_own ln_foresti lngdppc lngdppc_2 lnpop polity2 tradegdpi ngo_numberi if group~=`i', cluster(ccode)
qui predict cv_fittedi, pr
qui replace cv_fitted=cv_fittedi if group==`i'
qui drop cv_fittedi
}
roctab predicted_new cv_fitted
capture drop fitted group cv_fitted
quietly probit predicted_new c.degree##c.lag_soxi_sum_of_year_minus_own ln_foresti lngdppc lngdppc_2 lnpop polity2 tradegdpi ngo_numberi, cluster(ccode)
predict fitted, pr
roctab predicted_new fitted
xtile group=uniform(), nq(4)
gen cv_fitted=.
forvalues i=1/4 {
qui probit predicted_new c.degree##c.lag_soxi_sum_of_year_minus_own ln_foresti lngdppc lngdppc_2 lnpop polity2 tradegdpi ngo_numberi if group~=`i', cluster(ccode)
qui predict cv_fittedi, pr
qui replace cv_fitted=cv_fittedi if group==`i'
qui drop cv_fittedi
}
roctab predicted_new cv_fitted
capture drop fitted group cv_fitted
quietly probit predicted_new c.degree##c.lag_soxi_sum_of_year_minus_own ln_foresti lngdppc lngdppc_2 lnpop polity2 tradegdpi ngo_numberi, cluster(ccode)
predict fitted, pr
roctab predicted_new fitted
xtile group=uniform(), nq(4)
gen cv_fitted=.
forvalues i=1/4 {
qui probit predicted_new c.degree##c.lag_soxi_sum_of_year_minus_own ln_foresti lngdppc lngdppc_2 lnpop polity2 tradegdpi ngo_numberi if group~=`i', cluster(ccode)
qui predict cv_fittedi, pr
qui replace cv_fitted=cv_fittedi if group==`i'
qui drop cv_fittedi
}
roctab predicted_new cv_fitted
capture drop fitted group cv_fitted
quietly probit predicted_new c.degree##c.lag_soxi_sum_of_year_minus_own ln_foresti lngdppc lngdppc_2 lnpop polity2 tradegdpi ngo_numberi, cluster(ccode)
predict fitted, pr
roctab predicted_new fitted
xtile group=uniform(), nq(4)
gen cv_fitted=.
forvalues i=1/4 {
qui probit predicted_new c.degree##c.lag_soxi_sum_of_year_minus_own ln_foresti lngdppc lngdppc_2 lnpop polity2 tradegdpi ngo_numberi if group~=`i', cluster(ccode)
qui predict cv_fittedi, pr
qui replace cv_fitted=cv_fittedi if group==`i'
qui drop cv_fittedi
}
roctab predicted_new cv_fitted
capture drop fitted group cv_fitted
quietly probit predicted_new c.degree##c.lag_soxi_sum_of_year_minus_own ln_foresti lngdppc lngdppc_2 lnpop polity2 tradegdpi ngo_numberi, cluster(ccode)
predict fitted, pr
roctab predicted_new fitted
xtile group=uniform(), nq(4)
gen cv_fitted=.
forvalues i=1/4 {
qui probit predicted_new c.degree##c.lag_soxi_sum_of_year_minus_own ln_foresti lngdppc lngdppc_2 lnpop polity2 tradegdpi ngo_numberi if group~=`i', cluster(ccode)
qui predict cv_fittedi, pr
qui replace cv_fitted=cv_fittedi if group==`i'
qui drop cv_fittedi
}
roctab predicted_new cv_fitted
capture drop fitted group cv_fitted
quietly probit predicted_new c.degree##c.lag_soxi_sum_of_year_minus_own ln_foresti lngdppc lngdppc_2 lnpop polity2 tradegdpi ngo_numberi, cluster(ccode)
predict fitted, pr
roctab predicted_new fitted
xtile group=uniform(), nq(4)
gen cv_fitted=.
forvalues i=1/4 {
qui probit predicted_new c.degree##c.lag_soxi_sum_of_year_minus_own ln_foresti lngdppc lngdppc_2 lnpop polity2 tradegdpi ngo_numberi if group~=`i', cluster(ccode)
qui predict cv_fittedi, pr
qui replace cv_fitted=cv_fittedi if group==`i'
qui drop cv_fittedi
}
roctab predicted_new cv_fitted
capture drop fitted group cv_fitted
quietly probit predicted_new c.degree##c.lag_soxi_sum_of_year_minus_own ln_foresti lngdppc lngdppc_2 lnpop polity2 tradegdpi ngo_numberi, cluster(ccode)
predict fitted, pr
roctab predicted_new fitted
xtile group=uniform(), nq(4)
gen cv_fitted=.
forvalues i=1/4 {
qui probit predicted_new c.degree##c.lag_soxi_sum_of_year_minus_own ln_foresti lngdppc lngdppc_2 lnpop polity2 tradegdpi ngo_numberi if group~=`i', cluster(ccode)
qui predict cv_fittedi, pr
qui replace cv_fitted=cv_fittedi if group==`i'
qui drop cv_fittedi
}
roctab predicted_new cv_fitted
capture drop fitted group cv_fitted
quietly probit predicted_new c.degree##c.lag_soxi_sum_of_year_minus_own ln_foresti lngdppc lngdppc_2 lnpop polity2 tradegdpi ngo_numberi, cluster(ccode)
predict fitted, pr
roctab predicted_new fitted
xtile group=uniform(), nq(4)
gen cv_fitted=.
forvalues i=1/4 {
qui probit predicted_new c.degree##c.lag_soxi_sum_of_year_minus_own ln_foresti lngdppc lngdppc_2 lnpop polity2 tradegdpi ngo_numberi if group~=`i', cluster(ccode)
qui predict cv_fittedi, pr
qui replace cv_fitted=cv_fittedi if group==`i'
qui drop cv_fittedi
}
roctab predicted_new cv_fitted
capture drop fitted group cv_fitted

***********************************

quietly probit predicted_new ln_foresti lngdppc lngdppc_2 lnpop polity2 tradegdpi ngo_numberi, cluster(ccode)
predict fitted, pr
roctab predicted_new fitted
xtile group=uniform(), nq(4)
gen cv_fitted=.
forvalues i=1/4 {
qui probit predicted_new ln_foresti lngdppc lngdppc_2 lnpop polity2 tradegdpi ngo_numberi if group~=`i', cluster(ccode)
qui predict cv_fittedi, pr
qui replace cv_fitted=cv_fittedi if group==`i'
qui drop cv_fittedi
}
roctab predicted_new cv_fitted
capture drop fitted group cv_fitted
quietly probit predicted_new ln_foresti lngdppc lngdppc_2 lnpop polity2 tradegdpi ngo_numberi, cluster(ccode)
predict fitted, pr
roctab predicted_new fitted
xtile group=uniform(), nq(4)
gen cv_fitted=.
forvalues i=1/4 {
qui probit predicted_new ln_foresti lngdppc lngdppc_2 lnpop polity2 tradegdpi ngo_numberi if group~=`i', cluster(ccode)
qui predict cv_fittedi, pr
qui replace cv_fitted=cv_fittedi if group==`i'
qui drop cv_fittedi
}
roctab predicted_new cv_fitted
capture drop fitted group cv_fitted
quietly probit predicted_new ln_foresti lngdppc lngdppc_2 lnpop polity2 tradegdpi ngo_numberi, cluster(ccode)
predict fitted, pr
roctab predicted_new fitted
xtile group=uniform(), nq(4)
gen cv_fitted=.
forvalues i=1/4 {
qui probit predicted_new ln_foresti lngdppc lngdppc_2 lnpop polity2 tradegdpi ngo_numberi if group~=`i', cluster(ccode)
qui predict cv_fittedi, pr
qui replace cv_fitted=cv_fittedi if group==`i'
qui drop cv_fittedi
}
roctab predicted_new cv_fitted
capture drop fitted group cv_fitted
quietly probit predicted_new ln_foresti lngdppc lngdppc_2 lnpop polity2 tradegdpi ngo_numberi, cluster(ccode)
predict fitted, pr
roctab predicted_new fitted
xtile group=uniform(), nq(4)
gen cv_fitted=.
forvalues i=1/4 {
qui probit predicted_new ln_foresti lngdppc lngdppc_2 lnpop polity2 tradegdpi ngo_numberi if group~=`i', cluster(ccode)
qui predict cv_fittedi, pr
qui replace cv_fitted=cv_fittedi if group==`i'
qui drop cv_fittedi
}
roctab predicted_new cv_fitted
capture drop fitted group cv_fitted
quietly probit predicted_new ln_foresti lngdppc lngdppc_2 lnpop polity2 tradegdpi ngo_numberi, cluster(ccode)
predict fitted, pr
roctab predicted_new fitted
xtile group=uniform(), nq(4)
gen cv_fitted=.
forvalues i=1/4 {
qui probit predicted_new ln_foresti lngdppc lngdppc_2 lnpop polity2 tradegdpi ngo_numberi if group~=`i', cluster(ccode)
qui predict cv_fittedi, pr
qui replace cv_fitted=cv_fittedi if group==`i'
qui drop cv_fittedi
}
roctab predicted_new cv_fitted
capture drop fitted group cv_fitted
quietly probit predicted_new ln_foresti lngdppc lngdppc_2 lnpop polity2 tradegdpi ngo_numberi, cluster(ccode)
predict fitted, pr
roctab predicted_new fitted
xtile group=uniform(), nq(4)
gen cv_fitted=.
forvalues i=1/4 {
qui probit predicted_new ln_foresti lngdppc lngdppc_2 lnpop polity2 tradegdpi ngo_numberi if group~=`i', cluster(ccode)
qui predict cv_fittedi, pr
qui replace cv_fitted=cv_fittedi if group==`i'
qui drop cv_fittedi
}
roctab predicted_new cv_fitted
capture drop fitted group cv_fitted
quietly probit predicted_new ln_foresti lngdppc lngdppc_2 lnpop polity2 tradegdpi ngo_numberi, cluster(ccode)
predict fitted, pr
roctab predicted_new fitted
xtile group=uniform(), nq(4)
gen cv_fitted=.
forvalues i=1/4 {
qui probit predicted_new ln_foresti lngdppc lngdppc_2 lnpop polity2 tradegdpi ngo_numberi if group~=`i', cluster(ccode)
qui predict cv_fittedi, pr
qui replace cv_fitted=cv_fittedi if group==`i'
qui drop cv_fittedi
}
roctab predicted_new cv_fitted
capture drop fitted group cv_fitted
quietly probit predicted_new ln_foresti lngdppc lngdppc_2 lnpop polity2 tradegdpi ngo_numberi, cluster(ccode)
predict fitted, pr
roctab predicted_new fitted
xtile group=uniform(), nq(4)
gen cv_fitted=.
forvalues i=1/4 {
qui probit predicted_new ln_foresti lngdppc lngdppc_2 lnpop polity2 tradegdpi ngo_numberi if group~=`i', cluster(ccode)
qui predict cv_fittedi, pr
qui replace cv_fitted=cv_fittedi if group==`i'
qui drop cv_fittedi
}
roctab predicted_new cv_fitted
capture drop fitted group cv_fitted
quietly probit predicted_new ln_foresti lngdppc lngdppc_2 lnpop polity2 tradegdpi ngo_numberi, cluster(ccode)
predict fitted, pr
roctab predicted_new fitted
xtile group=uniform(), nq(4)
gen cv_fitted=.
forvalues i=1/4 {
qui probit predicted_new ln_foresti lngdppc lngdppc_2 lnpop polity2 tradegdpi ngo_numberi if group~=`i', cluster(ccode)
qui predict cv_fittedi, pr
qui replace cv_fitted=cv_fittedi if group==`i'
qui drop cv_fittedi
}
roctab predicted_new cv_fitted
capture drop fitted group cv_fitted
quietly probit predicted_new ln_foresti lngdppc lngdppc_2 lnpop polity2 tradegdpi ngo_numberi, cluster(ccode)
predict fitted, pr
roctab predicted_new fitted
xtile group=uniform(), nq(4)
gen cv_fitted=.
forvalues i=1/4 {
qui probit predicted_new ln_foresti lngdppc lngdppc_2 lnpop polity2 tradegdpi ngo_numberi if group~=`i', cluster(ccode)
qui predict cv_fittedi, pr
qui replace cv_fitted=cv_fittedi if group==`i'
qui drop cv_fittedi
}
roctab predicted_new cv_fitted
capture drop yhat predicted_new fitted group cv_fitted

***********************************

xtreg ln_soxi c.flowbet##c.lag_soxi_sum_of_year_minus_own ln_foresti lngdppc lngdppc_2 lnpop polity2 tradegdpi ngo_numberi i.year, fe cluster(ccode)
predict yhat if e(sample)
xtile predicted_new= yhat,  nquantiles(5)
recode predicted_new (1 2 3=0) (4 5=1)
quietly probit predicted_new c.flowbet##c.lag_soxi_sum_of_year_minus_own ln_foresti lngdppc lngdppc_2 lnpop polity2 tradegdpi ngo_numberi, cluster(ccode)
predict fitted, pr
roctab predicted_new fitted
xtile group=uniform(), nq(4)
gen cv_fitted=.
forvalues i=1/4 {
qui probit predicted_new c.flowbet##c.lag_soxi_sum_of_year_minus_own ln_foresti lngdppc lngdppc_2 lnpop polity2 tradegdpi ngo_numberi if group~=`i', cluster(ccode)
qui predict cv_fittedi, pr
qui replace cv_fitted=cv_fittedi if group==`i'
qui drop cv_fittedi
}
roctab predicted_new cv_fitted
capture drop fitted group cv_fitted
quietly probit predicted_new c.flowbet##c.lag_soxi_sum_of_year_minus_own ln_foresti lngdppc lngdppc_2 lnpop polity2 tradegdpi ngo_numberi, cluster(ccode)
predict fitted, pr
roctab predicted_new fitted
xtile group=uniform(), nq(4)
gen cv_fitted=.
forvalues i=1/4 {
qui probit predicted_new c.flowbet##c.lag_soxi_sum_of_year_minus_own ln_foresti lngdppc lngdppc_2 lnpop polity2 tradegdpi ngo_numberi if group~=`i', cluster(ccode)
qui predict cv_fittedi, pr
qui replace cv_fitted=cv_fittedi if group==`i'
qui drop cv_fittedi
}
roctab predicted_new cv_fitted
capture drop fitted group cv_fitted
quietly probit predicted_new c.flowbet##c.lag_soxi_sum_of_year_minus_own ln_foresti lngdppc lngdppc_2 lnpop polity2 tradegdpi ngo_numberi, cluster(ccode)
predict fitted, pr
roctab predicted_new fitted
xtile group=uniform(), nq(4)
gen cv_fitted=.
forvalues i=1/4 {
qui probit predicted_new c.flowbet##c.lag_soxi_sum_of_year_minus_own ln_foresti lngdppc lngdppc_2 lnpop polity2 tradegdpi ngo_numberi if group~=`i', cluster(ccode)
qui predict cv_fittedi, pr
qui replace cv_fitted=cv_fittedi if group==`i'
qui drop cv_fittedi
}
roctab predicted_new cv_fitted
capture drop fitted group cv_fitted
quietly probit predicted_new c.flowbet##c.lag_soxi_sum_of_year_minus_own ln_foresti lngdppc lngdppc_2 lnpop polity2 tradegdpi ngo_numberi, cluster(ccode)
predict fitted, pr
roctab predicted_new fitted
xtile group=uniform(), nq(4)
gen cv_fitted=.
forvalues i=1/4 {
qui probit predicted_new c.flowbet##c.lag_soxi_sum_of_year_minus_own ln_foresti lngdppc lngdppc_2 lnpop polity2 tradegdpi ngo_numberi if group~=`i', cluster(ccode)
qui predict cv_fittedi, pr
qui replace cv_fitted=cv_fittedi if group==`i'
qui drop cv_fittedi
}
roctab predicted_new cv_fitted
capture drop fitted group cv_fitted
quietly probit predicted_new c.flowbet##c.lag_soxi_sum_of_year_minus_own ln_foresti lngdppc lngdppc_2 lnpop polity2 tradegdpi ngo_numberi, cluster(ccode)
predict fitted, pr
roctab predicted_new fitted
xtile group=uniform(), nq(4)
gen cv_fitted=.
forvalues i=1/4 {
qui probit predicted_new c.flowbet##c.lag_soxi_sum_of_year_minus_own ln_foresti lngdppc lngdppc_2 lnpop polity2 tradegdpi ngo_numberi if group~=`i', cluster(ccode)
qui predict cv_fittedi, pr
qui replace cv_fitted=cv_fittedi if group==`i'
qui drop cv_fittedi
}
roctab predicted_new cv_fitted
capture drop fitted group cv_fitted
quietly probit predicted_new c.flowbet##c.lag_soxi_sum_of_year_minus_own ln_foresti lngdppc lngdppc_2 lnpop polity2 tradegdpi ngo_numberi, cluster(ccode)
predict fitted, pr
roctab predicted_new fitted
xtile group=uniform(), nq(4)
gen cv_fitted=.
forvalues i=1/4 {
qui probit predicted_new c.flowbet##c.lag_soxi_sum_of_year_minus_own ln_foresti lngdppc lngdppc_2 lnpop polity2 tradegdpi ngo_numberi if group~=`i', cluster(ccode)
qui predict cv_fittedi, pr
qui replace cv_fitted=cv_fittedi if group==`i'
qui drop cv_fittedi
}
roctab predicted_new cv_fitted
capture drop fitted group cv_fitted
quietly probit predicted_new c.flowbet##c.lag_soxi_sum_of_year_minus_own ln_foresti lngdppc lngdppc_2 lnpop polity2 tradegdpi ngo_numberi, cluster(ccode)
predict fitted, pr
roctab predicted_new fitted
xtile group=uniform(), nq(4)
gen cv_fitted=.
forvalues i=1/4 {
qui probit predicted_new c.flowbet##c.lag_soxi_sum_of_year_minus_own ln_foresti lngdppc lngdppc_2 lnpop polity2 tradegdpi ngo_numberi if group~=`i', cluster(ccode)
qui predict cv_fittedi, pr
qui replace cv_fitted=cv_fittedi if group==`i'
qui drop cv_fittedi
}
roctab predicted_new cv_fitted
capture drop fitted group cv_fitted
quietly probit predicted_new c.flowbet##c.lag_soxi_sum_of_year_minus_own ln_foresti lngdppc lngdppc_2 lnpop polity2 tradegdpi ngo_numberi, cluster(ccode)
predict fitted, pr
roctab predicted_new fitted
xtile group=uniform(), nq(4)
gen cv_fitted=.
forvalues i=1/4 {
qui probit predicted_new c.flowbet##c.lag_soxi_sum_of_year_minus_own ln_foresti lngdppc lngdppc_2 lnpop polity2 tradegdpi ngo_numberi if group~=`i', cluster(ccode)
qui predict cv_fittedi, pr
qui replace cv_fitted=cv_fittedi if group==`i'
qui drop cv_fittedi
}
roctab predicted_new cv_fitted
capture drop fitted group cv_fitted
quietly probit predicted_new c.flowbet##c.lag_soxi_sum_of_year_minus_own ln_foresti lngdppc lngdppc_2 lnpop polity2 tradegdpi ngo_numberi, cluster(ccode)
predict fitted, pr
roctab predicted_new fitted
xtile group=uniform(), nq(4)
gen cv_fitted=.
forvalues i=1/4 {
qui probit predicted_new c.flowbet##c.lag_soxi_sum_of_year_minus_own ln_foresti lngdppc lngdppc_2 lnpop polity2 tradegdpi ngo_numberi if group~=`i', cluster(ccode)
qui predict cv_fittedi, pr
qui replace cv_fitted=cv_fittedi if group==`i'
qui drop cv_fittedi
}
roctab predicted_new cv_fitted
capture drop fitted group cv_fitted
quietly probit predicted_new c.flowbet##c.lag_soxi_sum_of_year_minus_own ln_foresti lngdppc lngdppc_2 lnpop polity2 tradegdpi ngo_numberi, cluster(ccode)
predict fitted, pr
roctab predicted_new fitted
xtile group=uniform(), nq(4)
gen cv_fitted=.
forvalues i=1/4 {
qui probit predicted_new c.flowbet##c.lag_soxi_sum_of_year_minus_own ln_foresti lngdppc lngdppc_2 lnpop polity2 tradegdpi ngo_numberi if group~=`i', cluster(ccode)
qui predict cv_fittedi, pr
qui replace cv_fitted=cv_fittedi if group==`i'
qui drop cv_fittedi
}
roctab predicted_new cv_fitted
capture drop fitted group cv_fitted

***********************************

quietly probit predicted_new ln_foresti lngdppc lngdppc_2 lnpop polity2 tradegdpi ngo_numberi, cluster(ccode)
predict fitted, pr
roctab predicted_new fitted
xtile group=uniform(), nq(4)
gen cv_fitted=.
forvalues i=1/4 {
qui probit predicted_new ln_foresti lngdppc lngdppc_2 lnpop polity2 tradegdpi ngo_numberi if group~=`i', cluster(ccode)
qui predict cv_fittedi, pr
qui replace cv_fitted=cv_fittedi if group==`i'
qui drop cv_fittedi
}
roctab predicted_new cv_fitted
capture drop fitted group cv_fitted
quietly probit predicted_new ln_foresti lngdppc lngdppc_2 lnpop polity2 tradegdpi ngo_numberi, cluster(ccode)
predict fitted, pr
roctab predicted_new fitted
xtile group=uniform(), nq(4)
gen cv_fitted=.
forvalues i=1/4 {
qui probit predicted_new ln_foresti lngdppc lngdppc_2 lnpop polity2 tradegdpi ngo_numberi if group~=`i', cluster(ccode)
qui predict cv_fittedi, pr
qui replace cv_fitted=cv_fittedi if group==`i'
qui drop cv_fittedi
}
roctab predicted_new cv_fitted
capture drop fitted group cv_fitted
quietly probit predicted_new ln_foresti lngdppc lngdppc_2 lnpop polity2 tradegdpi ngo_numberi, cluster(ccode)
predict fitted, pr
roctab predicted_new fitted
xtile group=uniform(), nq(4)
gen cv_fitted=.
forvalues i=1/4 {
qui probit predicted_new ln_foresti lngdppc lngdppc_2 lnpop polity2 tradegdpi ngo_numberi if group~=`i', cluster(ccode)
qui predict cv_fittedi, pr
qui replace cv_fitted=cv_fittedi if group==`i'
qui drop cv_fittedi
}
roctab predicted_new cv_fitted
capture drop fitted group cv_fitted
quietly probit predicted_new ln_foresti lngdppc lngdppc_2 lnpop polity2 tradegdpi ngo_numberi, cluster(ccode)
predict fitted, pr
roctab predicted_new fitted
xtile group=uniform(), nq(4)
gen cv_fitted=.
forvalues i=1/4 {
qui probit predicted_new ln_foresti lngdppc lngdppc_2 lnpop polity2 tradegdpi ngo_numberi if group~=`i', cluster(ccode)
qui predict cv_fittedi, pr
qui replace cv_fitted=cv_fittedi if group==`i'
qui drop cv_fittedi
}
roctab predicted_new cv_fitted
capture drop fitted group cv_fitted
quietly probit predicted_new ln_foresti lngdppc lngdppc_2 lnpop polity2 tradegdpi ngo_numberi, cluster(ccode)
predict fitted, pr
roctab predicted_new fitted
xtile group=uniform(), nq(4)
gen cv_fitted=.
forvalues i=1/4 {
qui probit predicted_new ln_foresti lngdppc lngdppc_2 lnpop polity2 tradegdpi ngo_numberi if group~=`i', cluster(ccode)
qui predict cv_fittedi, pr
qui replace cv_fitted=cv_fittedi if group==`i'
qui drop cv_fittedi
}
roctab predicted_new cv_fitted
capture drop fitted group cv_fitted
quietly probit predicted_new ln_foresti lngdppc lngdppc_2 lnpop polity2 tradegdpi ngo_numberi, cluster(ccode)
predict fitted, pr
roctab predicted_new fitted
xtile group=uniform(), nq(4)
gen cv_fitted=.
forvalues i=1/4 {
qui probit predicted_new ln_foresti lngdppc lngdppc_2 lnpop polity2 tradegdpi ngo_numberi if group~=`i', cluster(ccode)
qui predict cv_fittedi, pr
qui replace cv_fitted=cv_fittedi if group==`i'
qui drop cv_fittedi
}
roctab predicted_new cv_fitted
capture drop fitted group cv_fitted
quietly probit predicted_new ln_foresti lngdppc lngdppc_2 lnpop polity2 tradegdpi ngo_numberi, cluster(ccode)
predict fitted, pr
roctab predicted_new fitted
xtile group=uniform(), nq(4)
gen cv_fitted=.
forvalues i=1/4 {
qui probit predicted_new ln_foresti lngdppc lngdppc_2 lnpop polity2 tradegdpi ngo_numberi if group~=`i', cluster(ccode)
qui predict cv_fittedi, pr
qui replace cv_fitted=cv_fittedi if group==`i'
qui drop cv_fittedi
}
roctab predicted_new cv_fitted
capture drop fitted group cv_fitted
quietly probit predicted_new ln_foresti lngdppc lngdppc_2 lnpop polity2 tradegdpi ngo_numberi, cluster(ccode)
predict fitted, pr
roctab predicted_new fitted
xtile group=uniform(), nq(4)
gen cv_fitted=.
forvalues i=1/4 {
qui probit predicted_new ln_foresti lngdppc lngdppc_2 lnpop polity2 tradegdpi ngo_numberi if group~=`i', cluster(ccode)
qui predict cv_fittedi, pr
qui replace cv_fitted=cv_fittedi if group==`i'
qui drop cv_fittedi
}
roctab predicted_new cv_fitted
capture drop fitted group cv_fitted
quietly probit predicted_new ln_foresti lngdppc lngdppc_2 lnpop polity2 tradegdpi ngo_numberi, cluster(ccode)
predict fitted, pr
roctab predicted_new fitted
xtile group=uniform(), nq(4)
gen cv_fitted=.
forvalues i=1/4 {
qui probit predicted_new ln_foresti lngdppc lngdppc_2 lnpop polity2 tradegdpi ngo_numberi if group~=`i', cluster(ccode)
qui predict cv_fittedi, pr
qui replace cv_fitted=cv_fittedi if group==`i'
qui drop cv_fittedi
}
roctab predicted_new cv_fitted
capture drop fitted group cv_fitted
quietly probit predicted_new ln_foresti lngdppc lngdppc_2 lnpop polity2 tradegdpi ngo_numberi, cluster(ccode)
predict fitted, pr
roctab predicted_new fitted
xtile group=uniform(), nq(4)
gen cv_fitted=.
forvalues i=1/4 {
qui probit predicted_new ln_foresti lngdppc lngdppc_2 lnpop polity2 tradegdpi ngo_numberi if group~=`i', cluster(ccode)
qui predict cv_fittedi, pr
qui replace cv_fitted=cv_fittedi if group==`i'
qui drop cv_fittedi
}
roctab predicted_new cv_fitted
capture drop yhat predicted_new fitted group cv_fitted

twoway (scatter area run if sample==1), ytitle(4-Fold Cross-Validation Predicted Power) yline(.96283996, lpattern(dash)) ylabel(0.4(0.1)1.0) xtitle(Cycle Run - Full Model Degree Centrality) xlabel(1(1)10) legend(off) scheme(s1mono) name(graph1, replace)
twoway (scatter area run if sample==2), ytitle(4-Fold Cross-Validation Predicted Power) yline(.96269, lpattern(dash)) ylabel(0.4(0.1)1.0) xtitle(Cycle Run - Model without Degree Centrality and Interaction) xlabel(1(1)10) legend(off) scheme(s1mono) name(graph2, replace)
twoway (scatter area run if sample==3), ytitle(4-Fold Cross-Validation Predicted Power) yline(.96499002, lpattern(dash)) ylabel(0.4(0.1)1.0) xtitle(Cycle Run - Full Model Information Flow) xlabel(1(1)10) legend(off) scheme(s1mono) name(graph3, replace)
twoway (scatter area run if sample==4), ytitle(4-Fold Cross-Validation Predicted Power) yline(.96473002, lpattern(dash)) ylabel(0.4(0.1)1.0) xtitle(Cycle Run - Model without Information Flow and Interaction) xlabel(1(1)10) legend(off) scheme(s1mono) name(graph4, replace)
graph combine graph1 graph2 graph3 graph4, ycommon scheme(s1mono)

**********************************************
* Robustness Models -- Not Reported in Paper *
**********************************************

xtreg ln_noxi degree i.year, fe cluster(ccode)
xtreg ln_noxi flowbet i.year, fe cluster(ccode)
xtreg ln_noxi degree ln_noxreceivingi ln_foresti lngdppc lngdppc_2 lnpop polity2 tradegdpi ngo_numberi i.year, fe cluster(ccode)
xtreg ln_noxi flowbet ln_noxreceivingi ln_foresti lngdppc lngdppc_2 lnpop polity2 tradegdpi ngo_numberi i.year, fe cluster(ccode)

xtpcse ln_noxi flowbet, corr(ar1)
xtpcse ln_noxi flowbet ln_noxselfdepositioni ln_noxreceivingi ln_foresti lngdppc lngdppc_2 lnpop polity2 tradegdpi ngo_number, pairwise corr(ar1)
xtpcse ln_noxi flowbet ln_foresti lngdppc lngdppc_2 lnpop polity2 tradegdpi ngo_number, pairwise corr(ar1)

xtpcse ln_noxi nflowbet, corr(ar1)
xtpcse ln_noxi nflowbet ln_noxselfdepositioni ln_noxreceivingi ln_foresti lngdppc lngdppc_2 lnpop polity2 tradegdpi ngo_number, pairwise corr(ar1)
xtpcse ln_noxi nflowbet ln_foresti lngdppc lngdppc_2 lnpop polity2 tradegdpi ngo_number, pairwise corr(ar1)

xtpcse ln_noxi degree, corr(ar1)
xtpcse ln_noxi degree ln_noxselfdepositioni ln_noxreceivingi ln_foresti lngdppc lngdppc_2 lnpop polity2 tradegdpi ngo_number, pairwise corr(ar1)
xtpcse ln_noxi degree ln_foresti lngdppc lngdppc_2 lnpop polity2 tradegdpi ngo_number, pairwise corr(ar1)

xtpcse ln_noxi degree lag_depentent_noxi
xtpcse ln_noxi degree ln_noxselfdepositioni ln_noxreceivingi ln_foresti lngdppc lngdppc_2 lnpop polity2 tradegdpi ngo_number lag_depentent_noxi, pairwise 
xtpcse ln_noxi degree ln_foresti lngdppc lngdppc_2 lnpop polity2 tradegdpi ngo_number lag_depentent_noxi, pairwise 

xtpcse ln_noxi nrmdegree, corr(ar1)
xtpcse ln_noxi nrmdegree ln_noxselfdepositioni ln_noxreceivingi ln_foresti lngdppc lngdppc_2 lnpop polity2 tradegdpi ngo_number, pairwise corr(ar1)
xtpcse ln_noxi nrmdegree ln_foresti lngdppc lngdppc_2 lnpop polity2 tradegdpi ngo_number, pairwise corr(ar1)

xtpcse ln_noxi eigenvec, corr(ar1)
xtpcse ln_noxi eigenvec ln_noxselfdepositioni ln_noxreceivingi ln_foresti lngdppc lngdppc_2 lnpop polity2 tradegdpi ngo_number, pairwise corr(ar1)
xtpcse ln_noxi eigenvec ln_foresti lngdppc lngdppc_2 lnpop polity2 tradegdpi ngo_number, pairwise corr(ar1)

xtpcse ln_noxi neigenvec, corr(ar1)
xtpcse ln_noxi neigenvec ln_noxselfdepositioni ln_noxreceivingi ln_foresti lngdppc lngdppc_2 lnpop polity2 tradegdpi ngo_number, pairwise corr(ar1)
xtpcse ln_noxi neigenvec ln_foresti lngdppc lngdppc_2 lnpop polity2 tradegdpi ngo_number, pairwise corr(ar1)

xtpcse ln_soxi flowbet, corr(ar1)
xtpcse ln_soxi flowbet ln_soxselfdepositioni ln_soxreceivingi ln_foresti lngdppc lngdppc_2 lnpop polity2 tradegdpi ngo_number, pairwise corr(ar1)
xtpcse ln_soxi flowbet ln_foresti lngdppc lngdppc_2 lnpop polity2 tradegdpi ngo_number, pairwise corr(ar1)

xtpcse ln_soxi nflowbet, corr(ar1)
xtpcse ln_soxi nflowbet ln_soxselfdepositioni ln_soxreceivingi ln_foresti lngdppc lngdppc_2 lnpop polity2 tradegdpi ngo_number, pairwise corr(ar1)
xtpcse ln_soxi nflowbet ln_foresti lngdppc lngdppc_2 lnpop polity2 tradegdpi ngo_number, pairwise corr(ar1)

xtpcse ln_soxi degree, corr(ar1)
xtpcse ln_soxi degree ln_soxselfdepositioni ln_soxreceivingi ln_foresti lngdppc lngdppc_2 lnpop polity2 tradegdpi ngo_number, pairwise corr(ar1)
xtpcse ln_soxi degree ln_foresti lngdppc lngdppc_2 lnpop polity2 tradegdpi ngo_number, pairwise corr(ar1)

xtpcse ln_soxi degree lag_depentent_noxi
xtpcse ln_soxi degree ln_soxselfdepositioni ln_soxreceivingi ln_foresti lngdppc lngdppc_2 lnpop polity2 tradegdpi ngo_number lag_depentent_noxi, pairwise 
xtpcse ln_soxi degree ln_foresti lngdppc lngdppc_2 lnpop polity2 tradegdpi ngo_number lag_depentent_soxi, pairwise 

xtpcse ln_soxi nrmdegree, corr(ar1)
xtpcse ln_soxi nrmdegree ln_soxselfdepositioni ln_soxreceivingi ln_foresti lngdppc lngdppc_2 lnpop polity2 tradegdpi ngo_number, pairwise corr(ar1)
xtpcse ln_soxi nrmdegree ln_foresti lngdppc lngdppc_2 lnpop polity2 tradegdpi ngo_number, pairwise corr(ar1)

xtpcse ln_soxi eigenvec, corr(ar1)
xtpcse ln_soxi eigenvec ln_soxselfdepositioni ln_soxreceivingi ln_foresti lngdppc lngdppc_2 lnpop polity2 tradegdpi ngo_number, pairwise corr(ar1)
xtpcse ln_soxi eigenvec ln_foresti lngdppc lngdppc_2 lnpop polity2 tradegdpi ngo_number, pairwise corr(ar1)

xtpcse ln_soxi neigenvec, corr(ar1)
xtpcse ln_soxi neigenvec ln_soxselfdepositioni ln_soxreceivingi ln_foresti lngdppc lngdppc_2 lnpop polity2 tradegdpi ngo_number, pairwise corr(ar1)
xtpcse ln_soxi neigenvec ln_foresti lngdppc lngdppc_2 lnpop polity2 tradegdpi ngo_number, pairwise corr(ar1)















